Upgrade to Plesk 11.0.9 fails with error: upgrading Parallels Panel core components...' of package 'plesk' has been failed with code 1603

Refers to:

  • Plesk Onyx for Windows
  • Plesk 11.0 for Windows
  • Plesk 11.5 for Windows
  • Plesk 12.5 for Windows

Created:

2016-11-16 12:43:15 UTC

Modified:

2016-12-21 19:03:23 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Upgrade to Plesk 11.0.9 fails with error: upgrading Parallels Panel core components...' of package 'plesk' has been failed with code 1603

Symptoms

Upon upgrading your Plesk to version 11.0.9 in the console mode you see the following error:

"%plesk_bin%\\ai.exe" --select-release-id PANEL_11_0_9_WIN --console

ERROR: Action sequence 'upgrade: upgrading Parallels Panel core components...' of package 'plesk' has been failed with code 1603
Not all packages were installed.

Also:

Installing packages
upgrading Parallels Panel core components...
MSI: Error! Unknown error 0xC00CE553 (COM Error C00CE553)
at ApplySecurity
Failed to install 'C:\\ParallelsInstaller\\parallels\\PANEL-WIN_11.0.9\\dist-msi-Mic
rosoft-2003-i386\\plesk.msi': Fatal error during installation. (Error code 1603)

In autoinstaller.log is shown that the issue occurred on applying Disk Security step.

Cause

%plesk_dir%\etc\DiskSecurity\ contains custom .xml documents with broken structure

Resolution

  1. Navigate to %PLESK_DIR%\etc\DiskSecurity\
  2. Check all .xml documents for proper xml structure
  3. If some documents have broken .xml structure, fix it, or temporarily remove these .xml files from the DiskSecurity directory
  4. Rerun the upgrade:

    "%plesk_bin%\ai.exe" --select-release-id PANEL_11_0_9_WIN --console

Have more questions? Submit a request
Please sign in to leave a comment.